Debian Bug report logs - #346632
amaya: FTBFS: build-depends on removed xlibs-dev

version graph

Package: amaya; Maintainer for amaya is (unknown);

Reported by: Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>

Date: Mon, 9 Jan 2006 01:49:08 UTC

Severity: serious

Tags: patch

Found in version amaya/9.2.1-6

Fixed in version amaya/9.4-1

Done: Anand Kumria <wildfire@progsoc.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Anand Kumria <wildfire@progsoc.org>:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>:
New Bug report received and forwarded. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>
To: maintonly@bugs.debian.org
Subject: amaya: FTBFS: build-depends on removed xlibs-dev
Date: Mon, 09 Jan 2006 02:38:00 +0100
Package: amaya
Version: 9.2.1-6
Severity: serious

Hello,

  This is a serious bug filed against your package because it
  build-depends on xlibs-dev, which as announced in [1] a while ago, is
  no longer available in sid. This makes your package fail to build from
  source.

    [1] http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html

  To fix this bug, you need to update your build-dependencies and
  substitute xlibs-dev for the list of individual X development
  libraries that your package needs to be built. You can find detailed
  information about how to do that in the DependsXlibsDev wiki page [2].

    [2] http://wiki.debian.org/DependsXlibsDev

  As indicated by the Release Team [3], the full transition from XFree86
  to Xorg is a release blocker for Etch, which means that Etch will not
  be released until this bug is fixed (or your package removed from
  testing). So, please, try to fix in a timely manner.

    [3] http://lists.debian.org/debian-devel-announce/2005/10/msg00004.html

  The number of affected packages by the xlibs-dev transition is huge,
  so if you feel like helping with patches or uploads, feel free to
  follow the instructions contained in the wiki page above. A list of
  affected packages can be found here [4].

    [4] http://people.debian.org/~adeodato/release-usertag/transition-xlibs-dev

  Finally, if there's a strong reason for which your package should not
  be NMUed, please note so in this bug report. Prospective NMUers will
  read your reasoning, and will decide if it's strong enough to delay
  their upload.

  Thanks for your collaboration!

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #10 received at 346632@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: 346632@bugs.debian.org, Anand Kumria <wildfire@progsoc.org>
Subject: ITNMU
Date: Tue, 10 Jan 2006 14:53:31 +0100
Hi there!

I just can't resist the urge... Could Amaya NMU amaya? :)
Please, pretty, pretty please!

Only change I would make, if pbuilder were happy about it, would be to
replace xlibs-dev for

~/xlibs-transition/xlibs-split-check-amaya@sid>./xlibs-split ../amaya-9.2.1/
Your code seems to depend on the following xlibs devel packages:
libx11-dev
libxext-dev
libxinerama-dev
libxmu-dev
libxpm-dev
libxt-dev
libxxf86vm-dev
x-dev





-- 
 .''`.     Männer sind Schweine (All men are pigs) -- Die Ärzte           
: :' :  
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Anand Kumria <wildfire@progsoc.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 346632@bugs.debian.org (full text, mbox):

From: Anand Kumria <wildfire@progsoc.org>
To: Amaya <amaya@debian.org>, 346632@bugs.debian.org
Subject: Re: Bug#346632: ITNMU
Date: Wed, 11 Jan 2006 04:47:16 +1100
[Message part 1 (text/plain, inline)]
On Tue, Jan 10, 2006 at 02:53:31PM +0100, Amaya wrote:
> Hi there!
> 
> I just can't resist the urge... Could Amaya NMU amaya? :)

Knock yourself out ... if you're (un?)lucky I might even add you to the
Uploaders line.

> Please, pretty, pretty please!
> 
> Only change I would make, if pbuilder were happy about it, would be to
> replace xlibs-dev for
> 
> ~/xlibs-transition/xlibs-split-check-amaya@sid>./xlibs-split ../amaya-9.2.1/
> Your code seems to depend on the following xlibs devel packages:
> libx11-dev
> libxext-dev
> libxinerama-dev
> libxmu-dev
> libxpm-dev
> libxt-dev
> libxxf86vm-dev
> x-dev

Wouldn't/Shouldn't a Build-Depends on the appropriate windowing library
(gtk+/wxwindows in this case) be sufficient to bring in its dependancies?

Regards,
Anand

-- 
 `When any government, or any church for that matter, undertakes to say to
  its subjects, "This you may not read, this you must not see, this you are
  forbidden to know," the end result is tyranny and oppression no matter how
  holy the motives' -- Robert A Heinlein, "If this goes on --"
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #20 received at 346632@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Anand Kumria <wildfire@progsoc.org>, 346632@bugs.debian.org
Cc: Amaya <amaya@debian.org>
Subject: Re: Bug#346632: ITNMU
Date: Tue, 10 Jan 2006 10:38:27 -0800
[Message part 1 (text/plain, inline)]
On Wed, Jan 11, 2006 at 04:47:16AM +1100, Anand Kumria wrote:
> On Tue, Jan 10, 2006 at 02:53:31PM +0100, Amaya wrote:
> > Hi there!
> > 
> > I just can't resist the urge... Could Amaya NMU amaya? :)

> Knock yourself out ... if you're (un?)lucky I might even add you to the
> Uploaders line.

> > Please, pretty, pretty please!

> > Only change I would make, if pbuilder were happy about it, would be to
> > replace xlibs-dev for

> > ~/xlibs-transition/xlibs-split-check-amaya@sid>./xlibs-split ../amaya-9.2.1/
> > Your code seems to depend on the following xlibs devel packages:
> > libx11-dev
> > libxext-dev
> > libxinerama-dev
> > libxmu-dev
> > libxpm-dev
> > libxt-dev
> > libxxf86vm-dev
> > x-dev

> Wouldn't/Shouldn't a Build-Depends on the appropriate windowing library
> (gtk+/wxwindows in this case) be sufficient to bring in its dependancies?

The amaya sources include all of the following X headers directly:

#include <X11/Core.h>
#include <X11/CoreP.h>
#include <X11/Intrinsic.h>
#include <X11/IntrinsicP.h>
#include <X11/Shell.h>
#include <X11/ShellP.h>
#include <X11/StringDefs.h>
#include <X11/Xatom.h>
#include <X11/Xlib.h>
#include <X11/Xlib.h>
#include <X11/Xlibint.h>
#include <X11/Xm/MwmUtil.h>
#include <X11/Xmu/Converters.h>
#include <X11/Xresource.h>
#include <X11/Xthreads.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#include <X11/extensions/Xinerama.h>
#include <X11/extensions/shape.h>
#include <X11/extensions/xf86vmode.h>
#include <X11/keysym.h>
#include <X11/xpm.h>

you shouldn't expect gtk+ or wxwindows to pull in packages for you that your
sources are using directly.  Indeed, libxmu-dev, libxpm-dev, libxt-dev,
libxxf86vm-dev, and x-dev are not dependencies of libgtk2.0-dev, and the
others are not guaranteed to be in the future.  (Not sure what wxwindows has
to do with anything, amaya doesn't appear to build-depend on it.)


-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #25 received at 346632@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Anand Kumria <wildfire@progsoc.org>, Steve Langasek <vorlon@debian.org>
Cc: Debian Bug Tracking System <control@bugs.debian.org>, 346632@bugs.debian.org
Subject: Re: Bug#346632: ITNMU
Date: Thu, 12 Jan 2006 05:36:22 +0100
tags 346632 help
thanks

Hi there!

Anand Kumria wrote:
> Knock yourself out ... if you're (un?)lucky I might even add you to
> the Uploaders line.

Hey, no way man! :P 
I already get enough 'amaya' bug reports at amaya@debian.org!
I have too many packages to fix myself... Maybe you would like to start
an alioth project for co-maintenance? 

> Wouldn't/Shouldn't a Build-Depends on the appropriate windowing
> library (gtk+/wxwindows in this case) be sufficient to bring in its
> dependancies?

Don't think so, I get this error message:

make[3]: Leaving directory `/tmp/buildd/amaya-9.2.1/Amaya/WX'
g++  -o ../bin/amaya wxdialog/AuthentDlgWX.o wxdialog/BgImageDlgWX.o
wxdialog/CheckedListDlgWX.o wxdialog/CreateTableDlgWX.o
wxdialog/DocInfoDlgWX.o wxdialog/EnumListDlgWX.o wxdialog/HRefDlgWX.o
wxdialog/ImageDlgWX.o wxdialog/InitConfirmDlgWX.o wxdialog/ListDlgWX.o
wxdialog/ListEditDlgWX.o wxdialog/NewTemplateDocDlgWX.o
wxdialog/NumDlgWX.o wxdialog/ObjectDlgWX.o wxdialog/OpenDocDlgWX.o
wxdialog/PreferenceDlgWX.o wxdialog/PrintDlgWX.o wxdialog/SaveAsDlgWX.o
wxdialog/SearchDlgWX.o wxdialog/SpellCheckDlgWX.o wxdialog/TextDlgWX.o
wxdialog/TitleDlgWX.o wxdialogapi.o EDITORAPP.o HTMLAPP.o TextFileAPP.o
XLinkAPP.o XMLAPP.o AHTURLTools.o EDITORactions.o EDITimage.o
EDITstyle.o HTMLactions.o HTMLbook.o HTMLedit.o HTMLform.o HTMLhistory.o
HTMLimage.o HTMLpresentation.o HTMLsave.o HTMLtable.o html2thot.o init.o
libmanag.o MENUconf.o XLinkbuilder.o XLinkedit.o templates.o trans.o
transparse.o UIcss.o Xml2thot.o Xmlbuilder.o XHTMLbuilder.o XPointer.o
XPointerparse.o   AHTBridge.o AHTFWrite.o answer.o query.o AHTMemConv.o
AHTInit.o anim.o animbuilder.o SVGAPP.o SVGbuilder.o SVGedit.o
TimelineAPP.o MathMLAPP.o MathMLbuilder.o Mathedit.o    libCSS.a
../annotlib/libAnnot.a  ../redland/librdf/.libs/librdf.a
../redland/raptor/.libs/libraptor.a   -L../thotlib -L.. -lThotEditor
-L../libwww/Library/src/.libs -lwwwapp -lwwwhttp  -lwwwhtml -lwwwmime
-lwwwcache -lwwwstream -lwwwfile -lwwwdir -lwwwtrans -lwwwcore
-lwwwutils -lwwwzip -lwwwftp -lwwwdav -L../libwww/modules/md5/.libs
-lmd5 ../libwww/modules/expat/.libs/libexpat.a -ldl
-Wl,-rpath,/tmp/buildd/amaya-9.2.1/Amaya/WX/Mesa/lib
-L/tmp/buildd/amaya-9.2.1/Amaya/WX/Mesa/lib -lGL -lGLU  -lfreetype -lz
-L/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib -pthread
-L/usr/X11R6/lib
/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib/libwx_gtk2u_xrc-2.6.a
/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib/libwx_gtk2u_adv-2.6.a
/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib/libwx_gtk2u_core-2.6.a
/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib/libwx_baseu_xml-2.6.a
/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib/libwx_baseu_net-2.6.a
/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib/libwx_gtk2u_gl-2.6.a
/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib/libwx_baseu-2.6.a
-pthread -L/usr/X11R6/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lXrandr -lXi
-lXext -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lfontconfig
-lXcursor -lpango-1.0 -lcairo -lXrender -lX11 -lgobject-2.0
-lgmodule-2.0 -lgthread-2.0 -lglib-2.0 -lXinerama -lXxf86vm -lexpat -lGL
-lGLU -lwxregexu-2.6 -lwxtiff-2.6 -lwxjpeg-2.6 -lwxpng-2.6 -lz -ldl -lm
../libwww/Library/src/.libs/libwwwcore.a(HTWWWStr.o): In function
`HTMessageIdStr':/tmp/buildd/amaya-9.2.1/Amaya/WX/../../libwww/Library/src/HTWWWStr.c:360:
warning: the use of `tmpnam' is dangerous, better use `mkstemp'
../libwww/Library/src/.libs/libwwwcore.a(HTInet.o): In function
`HTGetTmpFileName':/tmp/buildd/amaya-9.2.1/Amaya/WX/../../libwww/Library/src/HTInet.c:621:
warning: the use of `tempnam' is dangerous, better use `mkstemp'
/tmp/buildd/amaya-9.2.1/Amaya/WX/wxWidgets_RELEASE/lib/libwx_gtk2u_core-2.6.a(corelib_window.o):
In function
`wxWindow::GtkGetPangoX11Context()':window.cpp:(.text+0x144a): undefined
reference to `pango_x_get_context'
collect2: ld returned 1 exit status
make[2]: *** [../bin/amaya] Error 1
make[2]: Leaving directory `/tmp/buildd/amaya-9.2.1/Amaya/WX/amaya'
make[1]: *** [amaya_prog] Error 2
make[1]: Leaving directory `/tmp/buildd/amaya-9.2.1/Amaya/WX'
make: *** [build-arch-stamp] Error 2
pbuilder: Failed autobuilding of package

And there's a newer upstream versiona vailable that I am going to give a
try, but I don't expect many exciting results. 

http://www.w3.org/Amaya/Distribution/amaya-fullsrc-9.3.tgz

Steve Langasek wrote:
> you shouldn't expect gtk+ or wxwindows to pull in packages for you
> that your sources are using directly.  Indeed, libxmu-dev, libxpm-dev,
> libxt-dev, libxxf86vm-dev, and x-dev are not dependencies of
> libgtk2.0-dev, and the others are not guaranteed to be in the future.
> (Not sure what wxwindows has to do with anything, amaya doesn't appear
> to build-depend on it.)

Not sure, I am still looking at this.

-- 
 .''`.     Männer sind Schweine (All men are pigs) -- Die Ärzte           
: :' :  
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Tags added: help Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #32 received at 346632@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Anand Kumria <wildfire@progsoc.org>, Steve Langasek <vorlon@debian.org>
Cc: Debian Bug Tracking System <control@bugs.debian.org>, 346632@bugs.debian.org
Subject: Re: Bug#346632: ITNMU
Date: Thu, 12 Jan 2006 06:23:00 +0100
I give up... amaya 9.3 FTBFS with:


g++ -O2 -Wall -x c++ -D__cplusplus -D_UNIX  -D_GL -D_WX  -DHAVE_CONFIG_H -I.. -I../../amaya/xpm -I../../thotlib/include -I../../thotlib/internals/var -I../../thotlib/internals/h -I../../thotlib/internals/f    -I/home/amaya/xlibs-transition/amaya/test/amaya-9.3/wxWidgets/src/png -I/home/amaya/xlibs-transition/amaya/test/amaya-9.3/wxWidgets/src/jpeg -I/home/amaya/xlibs-transition/amaya/test/amaya-9.3/wxWidgets/src/tiff -I/home/amaya/xlibs-transition/amaya/test/amaya-9.3/Amaya/WX/wxWidgets_RELEASE/lib/wx/include/gtk2-unicode-release-static-2.6 -I/home/amaya/xlibs-transition/amaya/test/amaya-9.3/wxWidgets/include -I/home/amaya/xlibs-transition/amaya/test/amaya-9.3/wxWidgets/contrib/include -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DNO_GCC_PRAGMA   -I/home/amaya/xlibs-transition/amaya/test/amaya-9.3/Amaya/WX/Mesa/include   -I/usr/include/freetype2  -c ../../thotlib/dialogue/AmayaNormalWindow.cpp -o dialogue/AmayaNormalWindow.o
../../thotlib/internals/h/AmayaSubPanel.h:83: error: ISO C++ forbids declaration of ‘AmayaSubPanelManager’ with no type
../../thotlib/internals/h/AmayaSubPanel.h:83: error: expected ‘;’ before ‘*’ token
make[2]: *** [dialogue/AmayaNormalWindow.o] Error 1
make[2]: Leaving directory `/home/amaya/xlibs-transition/amaya/test/amaya-9.3/Amaya/WX/thotlib'
make[1]: *** [thotlib] Error 2
make[1]: Leaving directory `/home/amaya/xlibs-transition/amaya/test/amaya-9.3/Amaya/WX'
make: *** [build-arch-stamp] Error 2
debuild: fatal error at line 768:
dpkg-buildpackage failed!

I can't fix the code, although it looks like a very stupid fix to me.

Sorry

-- 
 .''`.     Männer sind Schweine (All men are pigs) -- Die Ärzte           
: :' :  
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Anand Kumria <wildfire@progsoc.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #37 received at 346632@bugs.debian.org (full text, mbox):

From: Anand Kumria <wildfire@progsoc.org>
To: Amaya <amaya@debian.org>, 346632@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#346632: ITNMU
Date: Thu, 12 Jan 2006 20:26:45 +1100
tags 246632 -help
thanks, mate

On Thu, Jan 12, 2006 at 05:36:22AM +0100, Amaya wrote:
> tags 346632 help
> thanks
> 
> Hi there!
> `wxWindow::GtkGetPangoX11Context()':window.cpp:(.text+0x144a): undefined
> reference to `pango_x_get_context'

Hmm -- it compiled before, so you seem to have a interesting version of
libpango

> And there's a newer upstream versiona vailable that I am going to give a
> try, but I don't expect many exciting results. 
> 
> http://www.w3.org/Amaya/Distribution/amaya-fullsrc-9.3.tgz

Unless you are a masochist, you don't want to be touching a new
upstream.

Anand

-- 
 `When any government, or any church for that matter, undertakes to say to
  its subjects, "This you may not read, this you must not see, this you are
  forbidden to know," the end result is tyranny and oppression no matter how
  holy the motives' -- Robert A Heinlein, "If this goes on --"



Tags removed: help Request was from Anand Kumria <wildfire@progsoc.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #44 received at 346632@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Anand Kumria <wildfire@progsoc.org>
Cc: Amaya <amaya@debian.org>, 346632@bugs.debian.org
Subject: Re: Bug#346632: ITNMU
Date: Fri, 13 Jan 2006 10:04:13 +0100
Anand Kumria wrote:
> Hmm -- it compiled before, so you seem to have a interesting version
> of libpango

Isn't it cool to realize pbuilder was pointing to testing for some
wicked reason? I am full of joy.

> Unless you are a masochist, you don't want to be touching a new
> upstream.

I slightly tried and realized I am not enough of a masochist, and also
there is plenty of work to do... 

I am going to try to fix my pbuilder setup and give it a run. I'll keep
you updated on this. (I still want to do this. Just because it is
recursive and cute and wiked and schizophreniac) LOL

-- 
 .''`.     Männer sind Schweine (All men are pigs) -- Die Ärzte           
: :' :  
`. `'           Proudly running unstable Debian GNU/Linux
  `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Regis Boudin <regis@boudin.name>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #49 received at 346632@bugs.debian.org (full text, mbox):

From: Regis Boudin <regis@boudin.name>
To: 346632@bugs.debian.org
Cc: control@bugs.debian.org, 340289@bugs.debian.org
Subject: A couple of patches.
Date: Sun, 22 Jan 2006 23:47:18 +0000
[Message part 1 (text/plain, inline)]
tags 340289 +patch
tags 346632 +patch
thanks

Hi again.

The pango problem is actually a wxWidgets bug with GTK+ 2.8. Please find
attached a patch fixing it, stolen from CVS (and the wxwidgets2.6
package).

Also attached a patch replacing the xlibs-dev Build-Depends by libxt-dev
and libxxf86vm-dev, as well as libfreetype6-dev, which should fix
#340289.

Applying both patched, I could succesfully rebuild amaya with pbuilder.

I also started looking at #336014.

Please don't hesitate to contact me.

Regards,
Regis
-- 
"While a monkey can be a manager, it takes a human to be an engineer"
                        Erik Zapletal
[pango_fix.diff (text/x-patch, attachment)]
[xlibs-dev.diff (text/x-patch, attachment)]

Tags added: patch Request was from Regis Boudin <regis@boudin.name> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#346632; Package amaya. Full text and rfc822 format available.

Acknowledgement sent to Regis Boudin <regis@boudin.name>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #56 received at 346632@bugs.debian.org (full text, mbox):

From: Regis Boudin <regis@boudin.name>
To: Amaya <amaya@debian.org>
Cc: Anand Kumria <wildfire@progsoc.org>, 346632@bugs.debian.org
Subject: Re: Bug#346632: ITNMU
Date: Tue, 31 Jan 2006 23:23:09 +0000
[Message part 1 (text/plain, inline)]
Hi,

Is there someone around to upload a fixed package or sponsor a NMU ?

There is a source package at
http://www.imalip.info/amaya/9.2.1-6.1/
with the attached patch applied, and the following new changelog entry :

----8<-------------------------------------------------
amaya (9.2.1-6.1) unstable; urgency=low

  * NMU for xlibs-dev transition
    + Replace xlibs-dev build-dependency by libxt-dev, libx11-dev,
    libxinerama-dev and libxxf86vm-dev (Closes: #346632)
  * Build-depend on libfreetype6-dev. (Closes: #340289)
  * Pass --with-gl option when running configure script. This makes the
amaya
    binary link against the system-provided libGL and libGLU instead of
    building Mesa and linking against the built lib. (Closes: #348706,
#348705)
  * Pass --disable-rpath option when configuring wxWidgets. With the
previous
    change, there is no more rpath set. (Closes: #341424)
  * When calling make, set the HOME environment variable to the build
    directory, so tools can safely write in it. (Closes: #336014)
  * Apply a patch stolen from upstream CVS to
wxWidgets/src/gtk/window.cpp,
    wxWidgets can build against GTK+ 2.8.
  * Remove debian/amaya.doc-base.EX and add debian/amaya.links, fixing 2
    lintian warnings.
----8<-------------------------------------------------

Also, I am a bit of a masochist, so I packaged amaya 9.3. I will try to
make the package available tomorrow evening, if anyone is interested.

HTH,
Regis

On Fri, 2006-01-13 at 10:04 +0100, Amaya wrote:
> Anand Kumria wrote:
> > Hmm -- it compiled before, so you seem to have a interesting version
> > of libpango
> 
> Isn't it cool to realize pbuilder was pointing to testing for some
> wicked reason? I am full of joy.
> 
> > Unless you are a masochist, you don't want to be touching a new
> > upstream.
> 
> I slightly tried and realized I am not enough of a masochist, and also
> there is plenty of work to do... 
> 
> I am going to try to fix my pbuilder setup and give it a run. I'll keep
> you updated on this. (I still want to do this. Just because it is
> recursive and cute and wiked and schizophreniac) LOL
> 
[amaya_NMU.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Anand Kumria <wildfire@progsoc.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adeodato Simó <adeodato-massbug-xlibs-dev@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #61 received at 346632-close@bugs.debian.org (full text, mbox):

From: Anand Kumria <wildfire@progsoc.org>
To: 346632-close@bugs.debian.org
Subject: Bug#346632: fixed in amaya 9.4-1
Date: Wed, 01 Mar 2006 21:02:13 -0800
Source: amaya
Source-Version: 9.4-1

We believe that the bug you reported is fixed in the latest version of
amaya, which is due to be installed in the Debian FTP archive:

amaya_9.4-1.diff.gz
  to pool/main/a/amaya/amaya_9.4-1.diff.gz
amaya_9.4-1.dsc
  to pool/main/a/amaya/amaya_9.4-1.dsc
amaya_9.4-1_i386.deb
  to pool/main/a/amaya/amaya_9.4-1_i386.deb
amaya_9.4.orig.tar.gz
  to pool/main/a/amaya/amaya_9.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 346632@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anand Kumria <wildfire@progsoc.org> (supplier of updated amaya package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Feb 2006 01:05:57 +1100
Source: amaya
Binary: amaya
Architecture: source i386
Version: 9.4-1
Distribution: unstable
Urgency: low
Maintainer: Regis Boudin <regis@boudin.name>
Changed-By: Anand Kumria <wildfire@progsoc.org>
Description: 
 amaya      - Web Browser, HTML Editor and Testbed for Draft W3C standards
Closes: 189668 336014 336150 340289 341424 346632 348705 348706
Changes: 
 amaya (9.4-1) unstable; urgency=low
 .
   * New upstream release
   * Apply patch from Regis Boudin to build correctly in odd-ball chroots
   (Closes: #336014)
   * Don't Build-Depend on xlibs-dev anymore buy remember to Build-Depend on
   freetype though. (Closes: #346632, #340289)
   * Use the system libGLU (Closes: #348705, #348706, #189668)
   * Don't include an rpath (Closes: #341424)
   * Allow into testing (Closes: #336150)
   * Use the Debian host / build types rather than having configure guess
   * Allow Amaya to upload Amaya
   * Set maintainer to be Regis Boudin
   * Miscelaneous fixes to install things in the right place
Files: 
 1abfd2cb6c2ecc96026dc3e8af45ffc7 885 web optional amaya_9.4-1.dsc
 13bf31f30be1977f085345c30acdf706 24672990 web optional amaya_9.4.orig.tar.gz
 87a2dc92a3612d9a52ba0f0581f92b4d 29580 web optional amaya_9.4-1.diff.gz
 24c2536058068aa2d6d46747f877e67f 8862130 web optional amaya_9.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQCVAwUBRAZ0m2RmcAD8BdppAQJ53AP/TfRCr4HvPSZcGNRR5biHV1hDHq49w4DI
f1iYZ7/l5djl1WkRLTYwNCQ3wflo3H0QPhPT13SHaLDgKsBOgqHCQ4unFZuYAt+X
xd2As9BozysCQTvVLMJDg3xDQYDxaZ/UinSPvt+ImDECGoyWXH5Krc/7KCFHF1p0
fUGhe/BAdzk=
=pspw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jul 2007 07:30:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:09:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.